Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Class CustomizationContext

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.CustomizationContext

All Implemented Interfaces:
  Serializable

public class CustomizationContext
extends Object
implements Serializable

A client specific context containing customization properties the APIs use to personalize the request.

See Also:
  Serialized Form

Field Summary
`static int` | `DISASSEMBLER_ACCEPT_DB` When disassembling, accept what is in the database if there is a collision with the template.
`static int` | `DISASSEMBLER_ACCEPT_TEMPLATE` When disassembling, accept what is in the template if there is a collision with the database.
`static int` | `DISASSEMBLER_PROPAGATE_EXCEPTION` When disassembling, propagate the exception (`DuplicateDefinitionException`) if there is a collision between the template and the database.
`static String` | `PORTAL_ENTITLEMENT_REQUEST`

Constructor Summary
`CustomizationContext()`
`CustomizationContext(ArrayList locales)` A more complex contructor containing an in order list of prefered locales and a reference to the users dekstop instance id.
`CustomizationContext(ArrayList locales, HttpServletRequest request)` A more complex contructor containing an in order list of prefered locales and a reference to the users dekstop instance id.
`CustomizationContext(HttpServletRequest request)` Create a minimial customization context consisting of a `HttpServletRequest`.
`CustomizationContext(Locale locale)` Create a minimial customization context consisting of one prerered locale.
`CustomizationContext(Locale locale, HttpServletRequest request)` Create a minimial customization context consisting of one prefered locale.

Method Summary
`void` | `addLocale(Locale locale)` Add a n locale to the end of the prefered locale list.
`int` | `getDisassemblerTemplateAction()` The action that should be performed if there are collisions between the template and the database.
`Locale[]` | `getLocales()` Getter for retrieving a list of in order locales.
`EntitlementRequest` | `getRequest()`
`boolean` | `isVisitorMode()` Is the API being called in visitor mode.
`void` | `setDisassemblerTemplateAction(int disassemblerTemplateAction)` Set the action that should be performed if there are collisions between the template and the database.
`void` | `setRequest(HttpServletRequest request)` Set the entitlement request.
`void` | `setVisitorMode(boolean visitorMode)` Set how the API is being called.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PORTAL_ENTITLEMENT_REQUEST

    public static final String PORTAL_ENTITLEMENT_REQUEST

See Also:
  Constant Field Values

### DISASSEMBLER_ACCEPT_DB

    public static final int DISASSEMBLER_ACCEPT_DB

  When disassembling, accept what is in the database if there is a collision with the template.

  See Also:
    Constant Field Values

### DISASSEMBLER_ACCEPT_TEMPLATE

    public static final int DISASSEMBLER_ACCEPT_TEMPLATE

  When disassembling, accept what is in the template if there is a collision with the database.

  See Also:
    Constant Field Values

### DISASSEMBLER_PROPAGATE_EXCEPTION

    public static final int DISASSEMBLER_PROPAGATE_EXCEPTION

  When disassembling, propagate the exception (`DuplicateDefinitionException`) if there is a collision between the template and the database. Note: This is the default.

  See Also:
    `DuplicateDefinitionException`, Constant Field Values

Constructor Detail

### CustomizationContext

    public CustomizationContext()

### CustomizationContext

    public CustomizationContext(Locale locale)

  Create a minimial customization context consisting of one prerered locale.

Parameters:
  `locale` - the uses locale preference.

### CustomizationContext

    public CustomizationContext(ArrayList locales)

  A more complex contructor containing an in order list of prefered locales and a reference to the users dekstop instance id. This contructor is usually called by the framework system and not to be used by the average developer.

Parameters:
  `locales` - in order list of prefered locales.

### CustomizationContext

    public CustomizationContext(HttpServletRequest request)
                         throws EntitlementsException

  Create a minimial customization context consisting of a `HttpServletRequest`.

Parameters:
  `request` - `HttpServletRequest`
Throws:
  `EntitlementsException`

### CustomizationContext

    public CustomizationContext(Locale locale,
                                HttpServletRequest request)
                         throws EntitlementsException

  Create a minimial customization context consisting of one prefered locale.

Parameters:
  `locale` - the uses locale preference.
  `request` - `HttpServletRequest`
Throws:
  `EntitlementsException`

### CustomizationContext

    public CustomizationContext(ArrayList locales,
                                HttpServletRequest request)
                         throws EntitlementsException

  A more complex contructor containing an in order list of prefered locales and a reference to the users dekstop instance id. This contructor is usually called by the framework system and not to be used by the average developer.

Parameters:
  `locales` - in order list of prefered locales.
  `request` - `HttpServletRequest`
Throws:
  `EntitlementsException`

Method Detail

### addLocale

    public void addLocale(Locale locale)

  Add a n locale to the end of the prefered locale list.

  Parameters:
    `locale` - a reference to the prefered locale.

### getLocales

    public Locale[] getLocales()

  Getter for retrieving a list of in order locales.

  Returns:
    an in order of prefered locales.

### getRequest

    public EntitlementRequest getRequest()

  Returns:
    the entitlement HttpRequest.

### setRequest

    public void setRequest(HttpServletRequest request)
                    throws EntitlementsException

  Set the entitlement request. Check to see if it is already an attribute in the request, if so just pull it from there.

  Parameters:
    `request` -
  Throws:
    `EntitlementsException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDisassemblerTemplateAction

    public int getDisassemblerTemplateAction()

  The action that should be performed if there are collisions between the template and the database. Possible values: CustomizationContext.DISASSEMBLER_ACCEPT_DB, DISASSEMBLER_ACCEPT_TEMPLATE, DISASSEMBLER_PROPAGATE_EXCEPTION

### setDisassemblerTemplateAction

    public void setDisassemblerTemplateAction(int disassemblerTemplateAction)

  Set the action that should be performed if there are collisions between the template and the database. Possible values: CustomizationContext.DISASSEMBLER_ACCEPT_DB, DISASSEMBLER_ACCEPT_TEMPLATE, DISASSEMBLER_PROPAGATE_EXCEPTION

  Parameters:
    `disassemblerTemplateAction` -
  See Also:
    `DuplicateDefinitionException`

### isVisitorMode

    public boolean isVisitorMode()

  Is the API being called in visitor mode. defaults to false.

### setVisitorMode

    public void setVisitorMode(boolean visitorMode)

  Set how the API is being called.

  Parameters:
    `visitorMode` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved